MyGUI: MyGUI::WidgetStyle Struct Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Friends
MyGUI::WidgetStyle Struct Reference

`#include <MyGUI_WidgetStyle.h>`

## Public Types
enum | Enum { Child, Popup, Overlapped, MAX }

## Public Member Functions
| WidgetStyle ()
| WidgetStyle (Enum _value)
std::string | print () const
int | getValue () const

## Static Public Member Functions
static WidgetStyle | parse (const std::string &_value)

## Friends
bool | operator== (WidgetStyle const &a, WidgetStyle const &b)
bool | operator!= (WidgetStyle const &a, WidgetStyle const &b)
std::ostream & | operator<< (std::ostream &_stream, const WidgetStyle &_value)
std::istream & | operator>> (std::istream &_stream, WidgetStyle &_value)

## Detailed Description

Definition at line 16 of file MyGUI_WidgetStyle.h.

## Member Enumeration Documentation

## ◆ Enum

enum MyGUI::WidgetStyle::Enum

Enumerator
Child | child widget, cropped by parent widget borders, no overlapping (used by default for child widgets)
Popup | popup widget, have parent widget, but not cropped on its borders
Overlapped | child widget, cropped by parent widget borders, can overlap (used by default for root widgets)
MAX |

Definition at line 18 of file MyGUI_WidgetStyle.h.

## Constructor & Destructor Documentation

## ◆ WidgetStyle() [1/2]

MyGUI::WidgetStyle::WidgetStyle | ( |  | ) |
| inline

Definition at line 26 of file MyGUI_WidgetStyle.h.

## ◆ WidgetStyle() [2/2]

MyGUI::WidgetStyle::WidgetStyle | ( | Enum | _value | ) |
| inline

Definition at line 31 of file MyGUI_WidgetStyle.h.

## Member Function Documentation

## ◆ getValue()

int MyGUI::WidgetStyle::getValue | ( |  | ) | const
| inline

Definition at line 80 of file MyGUI_WidgetStyle.h.

## ◆ parse()

static WidgetStyle MyGUI::WidgetStyle::parse | ( | const std::string & | _value | ) |
| inlinestatic

Definition at line 36 of file MyGUI_WidgetStyle.h.

## ◆ print()

std::string MyGUI::WidgetStyle::print | ( |  | ) | const
| inline

Definition at line 75 of file MyGUI_WidgetStyle.h.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | WidgetStyle const & | a,
|  | WidgetStyle const & | b
| ) |  |
| friend

Definition at line 56 of file MyGUI_WidgetStyle.h.

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | _stream,
|  | const WidgetStyle & | _value
| ) |  |
| friend

Definition at line 61 of file MyGUI_WidgetStyle.h.

## ◆ operator==

bool operator== | ( | WidgetStyle const & | a,
|  | WidgetStyle const & | b
| ) |  |
| friend

Definition at line 51 of file MyGUI_WidgetStyle.h.

## ◆ operator>>

std::istream& operator>> | ( | std::istream & | _stream,
|  | WidgetStyle & | _value
| ) |  |
| friend

Definition at line 67 of file MyGUI_WidgetStyle.h.

The documentation for this struct was generated from the following file:

- MyGUI_WidgetStyle.h